/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: PetalsException.java 6254 2007-12-13 10:49:31Z rnaudin $
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.kernel.api.server;

/**
 * Exception of the PEtALS container
 *
 * @author Rafael Marins
 * @version $Rev: 6254 $ $Date: 2007-12-13 10:49:31 +0000 (jeu., 13 déc. 2007) $
 * @since PEtALS 1.0
 */

public class PetalsException extends Exception {

    /**
     * The unique serial UID
     */
    private static final long serialVersionUID = -8926858510046989733L;


    /**
     * Default constructor
     */
    public PetalsException() {
        super();
    }

    /**
     * @param message
     *            the detail message (which is saved for later retrieval).
     */
    public PetalsException(final String message) {
        super(message);
    }

    /**
     * @param message
     *            the detail message (which is saved for later retrieval).
     * @param cause
     *            the cause (which is saved for later retrieval). (A
     *            <tt>null</tt> value is permitted, and indicates that the
     *            cause is nonexistent or unknown.)
     */
    public PetalsException(final String message, final Throwable cause) {
        super(message, cause);
    }

    /**
     * @param cause
     *            the cause (which is saved for later retrieval). (A
     *            <tt>null</tt> value is permitted, and indicates that the
     *            cause is nonexistent or unknown.)
     */
    public PetalsException(final Throwable cause) {
        super(cause);
    }

}
